org.apache.catalina.mapper

## Class Mapper.ContextList

- java.lang.Object
- - org.apache.catalina.mapper.Mapper.ContextList

- Enclosing class:
    Mapper

      protected static final class Mapper.ContextList
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Mapper.MappedContext[]` | `contexts`
    `int` | `nesting`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mapper.ContextList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Mapper.ContextList` | `addContext(Mapper.MappedContext mappedContext, int slashCount)`
    `Mapper.ContextList` | `removeContext(String path)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### contexts

          public final Mapper.MappedContext[] contexts

    - #### nesting

          public final int nesting

  - ### Constructor Detail

    - #### Mapper.ContextList

          public Mapper.ContextList()

  - ### Method Detail

    - #### addContext

          public Mapper.ContextList addContext(Mapper.MappedContext mappedContext,
                                      int slashCount)

    - #### removeContext

          public Mapper.ContextList removeContext(String path)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.